
import { AxiosResponse } from '../types/models';
import { scraperApi } from './api';

export interface PriceRecord {
    company_name: string;
    town?: string;
    price_decimal: number;
    scrape_date: string;
    zone: string;
}



export const scraperService = {
    getLatestPrices(): Promise<AxiosResponse<PriceRecord[]>> {
        return scraperApi.get('/scraper/prices');
    }
};
